Page MenuHomeFreeBSD

databases/postgis23, databases/postgis24: minor updates 2.3.9 and 2.4.7
ClosedPublic

Authored by lbartoletti_tuxfamily.org on Mar 15 2019, 5:51 PM.

Details

Summary

Update databases/postgis23 to 2.3.9 and databases/postgis24 to 2.4.7

The Makefiles are copied to databases/postgis25 which has been reviewed and corrected

Since these are bugfixes releases, should this be merged quarterly?

Test Plan

Poudriere 11/12 i386/amd64 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat added a comment.Mar 15 2019, 8:14 PM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

Update diff using git -U9999

Update diff using git -U9999

@mat Sorry, the first diff I posted was the one we posted on bugs.freebsd

mat added a comment.Mar 16 2019, 10:59 AM

I don't think the %%VER%% is a good idea, through the life of the port it does not change. It only changes when there is a new major version, and it's as simple to handle as to run make makeplist.

lbartoletti_tuxfamily.org edited the test plan for this revision. (Show Details)
This comment was removed by lbartoletti_tuxfamily.org.

Fix postgis24/pkg-plist. %%ADDRSTD%% was missing for lib/postgresql/address_standardizer-2.4.so

This revision was not accepted when it landed; it landed in state Needs Review.Mar 22 2019, 10:17 PM
This revision was automatically updated to reflect the committed changes.